// ATTiny85 ラーメンタイマー
#define SPKPIN 1    // スピーカー
#define POWERPIN 3  // 電源スイッチ
#define LED 0       // 動作確認用LED

void setup() {
  pinMode(POWERPIN,OUTPUT) ;
  pinMode(LED,OUTPUT) ;
  pinMode(SPKPIN,OUTPUT) ;

  // --- 電源ON
  digitalWrite(POWERPIN,HIGH) ;
  digitalWrite(LED,HIGH) ;
  digitalWrite(SPKPIN,LOW) ;

  // ----- 3分待つ -----
  unsigned long time = millis();
  int blink = HIGH ;
  while(millis() - time < 1000L * 60 * 3) {
    blink = (blink == HIGH) ?LOW : HIGH ;
    digitalWrite(LED,blink) ;   // Lチカ
    delay(500) ;
  }
  // --- チャルメラ演奏
  digitalWrite(LED,HIGH) ;
  Sound( ) ;
  delay(1000) ;
  Sound( ) ;
  // --- 電源OFF
  digitalWrite(POWERPIN,LOW) ;
}

void loop() {
}

// --- チャルメラ演奏ルーチン
void Sound( ) {
  tone(SPKPIN, 392, 200); delay(200);
  tone(SPKPIN, 440, 200); delay(200);
  tone(SPKPIN, 494, 800); delay(800);
  tone(SPKPIN, 440, 200); delay(200);
  tone(SPKPIN, 392, 200); delay(800);
  tone(SPKPIN, 392, 200); delay(200);
  tone(SPKPIN, 440, 200); delay(200);
  tone(SPKPIN, 494, 200); delay(200);
  tone(SPKPIN, 440, 200); delay(200);
  tone(SPKPIN, 392, 200); delay(200);
  tone(SPKPIN, 440, 1000); delay(1000);
}
